SUBDIRS = pics 

INCLUDES= -I$(top_srcdir)/libtdegames $(all_includes)
KDE_ICON = konquest

bin_PROGRAMS = konquest
konquest_SOURCES = Konquest.cpp gameboard.cpp gamecore.cpp int_validator.cpp \
	mainwin.cpp map_widget.cpp minimap.cpp newgamedlg.cpp planet_info.cpp \
	gameenddlg.cpp  scoredlg.cpp fleetdlg.cpp newGameDlg_ui.ui
konquest_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
konquest_LDADD = $(LIB_TDEGAMES)
konquest_DEPENDENCIES = $(LIB_TDEGAMES_DEP)


METASOURCES = AUTO

xdg_apps_DATA = konquest.desktop

rcdir = $(kde_datadir)/konquest
rc_DATA = konquestui.rc

messages: rc.cpp
	$(XGETTEXT) rc.cpp $(podir)/konquest.pot
